Subject: [bug#79073] Request for merging "python-team" branch

From: John Kehayias <[email-masked]>
Date: Tue, 16 Sep 2025 19:02:03 +0000

On Tue, Sep 16, 2025 at 06:32 PM, John Kehayias wrote:

> Hi Oleg!
>
> On Tue, Jul 22, 2025 at 09:25 AM, Sharlatan Hellseher wrote:
>
>> Hi Guix,
>>
>> Placing to the queue the Python team branch. It will include the work of
>> "On the way to pyproject-build-system everywhere"
>> <https://codeberg.org/guix/guix/milestone/20775>
>>
>> --
>> Oleg
>
> What is the current status of this branch? I have a big world rebuild
> going on in mesa-updates (next in the queue) and was wondering if I
> should rebase on this branch?
>
> In particular, I see python-coverage is failing tests on mesa-updates. I
> tried to just cherry pick the update to that package from python-team
> but it seems it is failing for other reasons (it does build on
> python-team).
>

Just tried a local rebase and python-coverage does build successfully.
So if I should rebase on the python-team branch, I can do that in the
next day or so with a version bump to mesa as well. Let me know what you
are thinking with the branch or if there are a few commits I can just
cherry pick.

> Thanks!
> John